media-types (6.0.0) unstable; urgency=medium

  Types changed:

  acf2032 Added the unregistered extension `m4a` to `audio/mp4` and removed
          it from `audio/mpeg`.  Thanks to Anders Kaseorg (Closes: #1004985)

  Types added:

  5b15f34 application/vnd.eclipse.ditto+json
          application/vnd.maxar.archive.3tz+zip
  714dff2 application/oblivious-dns-message and model/u3d
  6d5aece application/alto-cdni+json, application/alto-cdnifilter+json,
          application/alto-propmap+json, application/alto-propmapparams+json
  871a291 application/vnd.gnu.taler.exchange+json,
          application/vnd.gnu.taler.merchant+json

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Mar 2022 10:55:59 +0900

media-types (5.0.0) unstable; urgency=medium

  Types changed:

  26cc8f9 Change GIMP's application/x-xcf to image/x-xcf.
          Thanks to Joel Hockey (Closes: #991158)
  956d82e Uppercased audio/QCELP as in the IANA documents.
  72781ac Uppercased text/SGML and application/SGML as in IANA.
  bfc437b Uppercased application/IOTP, application/ISUP, application/QSIG.
  39cbba4 Uppercased application/CALS-1840, a/EDI-consent and a/ODA.
  723e182 Corrected application/vq-rtcp-xr to application/vq-rtcpxr.
  c9818e3 Corrected 'ense' to 'ence' in a/vnd.piaccess.application-licence.
  dbc72aa Corrected '-' to '.' in application/vnd.efi.img and a/vnd.efi.iso.
  091fe07 Corrected model/x3d+vrml to model/x3d-vrml.
  6ddcb9e Remove non-registered ('*/x-*') types with no file extension:
          application/x-core, application/x-executable,
          application/x-java-applet, application/x-java-bean,
          application/x-kdelnk, application/x-pki-message, application/x-rx,
          application/x-shellscript, application/x-videolan,
          application/x-www-form-urlencoded, application/x-x509-ca-ra-cert,
          application/x-x509-next-ca-cert, audio/x-pn-realaudio-plugin,
          image/x-icon, text/x-makefile, text/x-server-parsed-html
  6834f86 Removed text/x-crontab (no file extension).
  20ef945 Removed x-world/x-vrml, gave vrm extension to model/xml,
          added x3dz extension to model/x3d+xml
  47a46bc Removed obsolete and unregistered x-epoc/x-sisx-app (ext: sisx)
  8b518ce Removed obsolete undeclared type x-conference/x-cooltalk (ext: ice)
  0ce50aa Remove unregistered application types that extensions:
          application/cap+xml, application/docbook+xml, application/ghostview
          application/ms-tnef, application/news-message-id,
          application/vnd.tve-trigger
  dca94fb Remove text types with no extension or no apparent use.
          text/english, text/h323, text/iuls, text/richtext, text/scriptlet,
          text/vnd.flatland.3dml
  dadf927 Remove unregistered extensionless video/vnd.mts.
  4473324 Removed application/x-ms-manifest: (ext: manifest).
  fb4ad41 Removed application/x-ms-application (ext: application).
  319889b Remvoved extension from image/t38.
  8cb03f0 Added file extension smf to application/vnd.stardivision.math

  Types added:

  943d860 Added image/jxl (Closes: #987395).
  fbee352 Added image/avif
  74d5493 Added audio/scip
  7d98212 Added video/AV1, video/FFV1, video/jxsv, video/scip and video/VP9
  1289cba Added text/fhirpath, text/cql-extension, text/cql-identifier, text/cql
  ecfeac2 Added text/gff3 and text/shaclc
  063d184 Added text/spdx and application/spdx+json
  b0eb56e Added text/shex, text/vnd.familysearch.gedcom, text/vnd.hans
  eb47d5e Added application/elm+json and application/elm+xml
  ff44383 Added application/vnd.veritone.aion+json and application/vnd.wfa.dpp
  81f79f9 Added application/vnd.sycle+xml and application/vnd.syft+json
  b5ec7a2 Added application/vnd.resilient.logic and application/vnd.seis+json
  5dcf147 Added application/vnd.opentimestamps.ots
  06c9422 Added application/vnd.nebumind.line and application/vnd.oma.lwm2m+cbor
  182621c Added application/vnd.las, application/mipc and application/sipc
  60f54a2 Added application/vnd.nacamar.ybrid+json
  5cb2a4a Added application/vnd.hl7v2+xml and application/vnd.hl7cda+xml
  7526702 Added application/vnd.geogebra.slides
  09f65bc Added application/vnd.fujifilm.fb.docuworks,
          application/vnd.fujifilm.fb.docuworks.binder
          application/vnd.fujifilm.fb.docuworks.container
          application/vnd.fujifilm.fb.jfi+xml
  d16a2e2 Added application/vnd.familysearch.gedcom+zip
  8f6b0ff Added application/vnd.eu.kasparian.car+json
  a5f5fba Added application/vnd.d3m-dataset and application/vnd.d3m-problem
  597488a Added application/vnd.cyclonedx+json and application/vnd.cyclonedx+xml
  8f81fab Added a/vnd.cryptomator.encrypted and a/vnd.cryptomator.vault
  51f1b9a Added application/vnd.apache.arrow.file and a/vnd.apache.arrow.file
  019548b Added application/vnd.afpc.cmoca-cmresource and application/vnd.age
  d76426c Added application/3gppHal+json, a/3gppHalForms+json, a/vnd.3gpp.5gnas
          a/vnd.3gpp.gtpc, a/vnd.3gpp.interworking-data, a/vnd.3gpp.lpp,
          a/vnd.3gpp.mcdata-payload, a/vnd.3gpp.mcdata-service-config+xml,
          a/vnd.3gpp.ngap, a/vnd.3gpp.pfcp, a/vnd.3gpp.s1ap
  8fa36b5 Added application/token-introspection+jwt and a/oauth-authz-req+jwt
  786a184 Added application/sarif-external-properties+json a/sarif+json
  e67ffcd Added application/prs.cyn
  b128636 Added application/opc-nodeset+xml
  53bbc91 Added application/missing-blocks+cbor-seq
  f2b0f17 Added application/manifest+json
  d7ea565 Added application/jscalendar+json
  a200fce Added application/example and multipart/example
  ab41bc3 Added application/EmergencyCallData.cap+xml
  453d139 Added application/dash-patch+xml
  3bec167 Added application/clr
  177c6cc Added application/city+json
  88cd048 Added application/captive+json
  ca0176f Added application/at+jwt
  1d96815 Added application/ace+cbor
  99e1fdb Added application/express, a/p21, a/p21+zip,
          model/step, m/step+xml, m/step+zip, m/step-xml+zip
  73099d3 Added model/vnd.sap.vds
  841728d Added model/e57.
  e1f3159 Added model/vnd.pytha.pyox with only pyox file extensio because
          pyo is used by Python.

 -- Charles Plessy <plessy@debian.org>  Sun, 23 Jan 2022 18:34:58 +0900

media-types (4.0.0) unstable; urgency=medium

  Remove redundant types or file extensions; document them in README.md

  Types removed:

  d8dfe4c image/pcx, redundant with image/vnd.zbrush.pcx
  7a7c549 deprecated types application/font-sfnt and application/font-woff
  ee3e60b application/vnd.frogans.fnc, application/vnd.frogans.ltf,
          application/vnd.geocube+xml, application/vnd.gmx,
          application/vnd.ibm.afplinedata, application/vnd.ibm.modcap,
          application/vnd.informix-visionary,
          application/vnd.nokia.n-gage.symbian.install, audio/vnd.qcelp
          (marked obsolete or deprecated by the IANA).
  10fb1e7 Removed the audio/midi type, superseded by audio/sp-midi
  2a5c6cf Removed text/mathml, redundant with application/mathml+xml
  0da009a Removed application/x-mpegURL and audio/x-mpegurl.
  59bc414 Removed application/x-jam
  135dc28 Removed application/x-mif
  af3e7f7 Removed audio/x-realaudio, redundant with audio/x-pn-realaudio.
  527927e Removed `application/x-cbr` and `application/x-cbz`, superseded
          by a/vnd.comicbook-rar and a/vnd.comicbook+zip.
  bce2d98 Removed application/x-pkcs7-crl, redundant with application/pkix-crl

  Extensions changed or removed:

  920dbdd Removed nbp in application/mathematica (not in the spec).
  01c57be Move nb from application/mathematica to a/vnd.wolfram.mathematica.
  02bf78f Remove wsc extension from text/scriptlet.
  209af44 Removed dot in application/msword and left it in text/vnd.graphviz.
          Removed x3d in a/vnd.hzn-3d-crossword and left it in model/x3d+xml
          Removed otf in application/vnd.oasis.opendocument.formula-template,
          font/ttf and font/sfnt, and left it in font/otf.
          Removed ttf in font/otf, font/sfnt and left it in font/ttf.
          Removed sub in text/vnd.dvb.subtitle and text/vnd.dvb.subtitle.
          Removed sdf from a/vnd.stardivision.math, left it in a/vnd.Kinar.
          Removed qcp from audio/qcelp and kept it in audio/EVRC-QCP.
          Removed loas from audio/aac and kept if in audio/usac.
          Removed mp4 from audio/mp4 and kept it in `video/mp4.
          Removed aa3 and omg from audio/ATRAC-ADVANCED-LOSSLESS
          and audio/ATRAC-X.
  152160a Removed xsd from application/xml.  Added mod to application/xml-dtd.
          Added `ent` to application/xml-external-parsed-entity and removed
          from chemical/x-ncbi-asn1-ascii and chemical/x-pdb.  Removed all
          suffixes from text/ aliases.
  2d4833b Removed wav from audio/L16 (duplicated with audio/x-wav).
  5213528 Removed mmd from chemical/x-macromodel-input
  43f4a18 Removed pls from application/pls+xml (conflict with audio/x-scpls).
  ded19d2 Removed ica from application/vnd.commerce-battelle
  e6c7e87 Removed curl from application/vnd.curl.
  a3ac15f Removed application/x-dms, conflicting with text/vnd.DMClientScript
  f6c949d Removed ac to application/vnd.nokia.n-gage.ac+xml
          and add it to `application/pkix-attr-cert.
  a3561b5 Removed cer from chemical/x-cerius (conflict with a/pkix-cert).

 -- Charles Plessy <plessy@debian.org>  Sat, 16 Jan 2021 07:58:46 +0900

media-types (3.0.0) unstable; urgency=medium

  90a5cc8 Remove the png ext. from the image/vnd.mozilla.apng.
          Thanks Sandro Tosi for the report that it caused software to
          ignore image/png.
  207200a Make a README.md.  Document semantic versioning.
  110b0eb Adress name extensions appearing more than once in README.md

 -- Charles Plessy <plessy@debian.org>  Fri, 08 Jan 2021 06:57:42 +0900

media-types (2.0.0) unstable; urgency=medium

  8f2eb53 Import hundreds of media types from Fedora's mailcap-2.1.49-1.fc33.
          The list of changes is way too long to be included here.  I also
          removed some deprecated media types after the import.
  26e0235, 13b795a Sync audio types with IANA. Adde audio/EVRC-QCP,
          audio/sofa, audio/TSVCIS.
  2ef2ff2 Update URLs for registration to the IANA in the BTS template.

 -- Charles Plessy <plessy@debian.org>  Thu, 07 Jan 2021 07:24:48 +0900

media-types (1.1.0) unstable; urgency=medium

  [Steve Langasek]
  488ea27 Correct boundary condition for Breaks/Replaces. Closes: #975348

  [Charles Plessy]
  1265325 Add and update image media types from the IANA.

  Updated (added file extension): image/vnd.dxf, image/vnd.fastbidsheet,
  image/vnd.fpx, image/vnd.fst, image/vnd.fujixerox.edmics-mmr,
  image/vnd.fujixerox.edmics-rlc, image/vnd.xiff

  Added: image/aces, image/avci, image/avcs, image/bmp, image/dicom-rle,
  image/emf, image/fits, image/heic, image/heic-sequence, image/heif,
  image/heif-sequence, image/hej2k, image/hsj2, image/jls, image/jph,
  image/jphc, image/jxr, image/jxrA, image/jxrS, image/jxs, image/jxsc,
  image/jxsi, image/jxss, image/ktx, image/ktx2, image/pwg-raster,
  image/t38, image/vnd.adobe.photoshop, image/vnd.airzip.accelerator.azv,
  image/vnd.dece.graphic, image/vnd.dvb.subtitle,
  image/vnd.globalgraphics.pgb, image/vnd.ms-modi, image/vnd.mozilla.apng
  image/vnd.pco.b16, image/vnd.radiance, image/vnd.sealed.png,
  image/vnd.sealed.png, image/vnd.sealedmedia.softseal.gif,
  image/vnd.sealedmedia.softseal.jpg, image/vnd.tencent.tap,
  image/vnd.valve.source.texture, image/vnd.zbrush.pcx, image/wmf

 -- Charles Plessy <plessy@debian.org>  Sat, 02 Jan 2021 09:08:54 +0900

media-types (1.0.1) unstable; urgency=medium

  * Upload to unstable.

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Nov 2020 04:39:07 +0900

media-types (1.0.0) experimental; urgency=medium

  * New package to distribute /etc/media.types independently from the
    mailcap system.

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Oct 2020 05:32:44 +0900

mime-support (3.64) unstable; urgency=medium

  [ Sven Joachim ]
  fd4ca45 update-mime: avoid using uninitialized values (Closes: #939587)

  [ Charles Plessy ]
  f72871a run-mailcap: revert 694e239 (use strict etc.), because it was
          incompatible with its argument parsing (Closes: #939226)
  55f3742 Switch to 3.0 (native) to ease the use of git debpush.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Oct 2019 22:11:08 +0900

mime-support (3.63) unstable; urgency=medium

  * Media types

  7909e87 Add mjs suffix to application/javascript (Closes: #927300)
  ac860b6 Add application/ls+json            (Thanks: Nicolas Fella)

  * run-mailcap

  [ Elliott Mitchell ]
  694e239 use strict; use warnings (Closes: #803729)
  c7b7de6 Return !0 when launched program does not exist (Closes: #783195)

  * update-mime

  [ Alex Riesen ]
  21035f8 update-mime: softly reject empty media types (Closes: #931300)

 -- Charles Plessy <plessy@debian.org>  Sun, 11 Aug 2019 08:53:20 +0900

mime-support (3.62) unstable; urgency=medium

  * Added media types

  2f7cd89 application/wasm              Closes: #908832

  * Packaging

  [ Ondřej Nový ]
  d48da1b d/control: Fix wrong Vcs-*

  [ Charles Plessy ]
  426f2c8 Continuous integration on Salsa
  638d524 Conforms to Policy version 4.3.0.

 -- Charles Plessy <plessy@debian.org>  Sat, 09 Feb 2019 21:32:33 +0900

mime-support (3.61) unstable; urgency=medium

  * Added media types

  2977585 fonts/*                       Closes: #900288, LP: #1380129
  ad05776 application/epub+zip          Closes: #712054

  * Packaging

  1909440 Remove Laszlo from the uploaders.
  34beb90 New canonical URLs and standards-version.
  5f46ab2 debian/postinst: remove removal of 'see'.
  10a132d Use tracker.debian.org for the Maintainer field.

  * Fixed many issued found by Lintian.

  bb05b29 Lintian: file-contains-trailing-whitespace
  1a2e972 Lintian: unnecessary-source-date-epoch-assignment
  7e17789 Lintian: spelling-error-in-manpage
  bfa7589 Lintian: insecure-copyright-format-uri
  aab7e48 Lintian: command-with-path-in-maintainer-script
  d858f9b Lintian: maintainer-script-ignores-errors
  22b3f61 Lintian: maintainer-script-without-set-e

 -- Charles Plessy <plessy@debian.org>  Sat, 16 Jun 2018 17:55:26 +0900

mime-support (3.60) unstable; urgency=medium

  5f9811a Add decoding and encoding support for xz.
          Thanks to Nicolas Schier <nicolas@hjem.rpa.no> (Closes: #804211)
  67c43e3 Removed bzip support.
  13cbcc7 Recommend bzip2 and xz-utils, since run-mailcap uses them.
  d2b5636 Escape a left curly bracket with a backslash.
          (Warning since Perl 5.22, Closes: #810587)
  fe8d90a Added text/markdown. (Closes: #802753)
  bcf08d8 Conforms to Policy version 3.9.8.
  3b341bf Use secure URIs in the VCS fields.

 -- Charles Plessy <plessy@debian.org>  Sun, 01 May 2016 20:20:22 +0900

mime-support (3.59) unstable; urgency=medium

  * Media types
  bdfd714 Add media types and extensions to support ClickOnce apps.

  * Documentation
  77732bb Document how attacks with specially crafted file names are
          prevented. Closes: #774303
  4cd9ea4 Mention ~/.mailcap.order and better link between manpages.
          Closes: #787459

  * Packaging
  8a8992d Remove obsolete arguments of dpkg-gencontrol.
  a65e461 Pass --no-name to gzip, to make the build more reproducible.
          Closes: #776939.
  db49144 Make the mtimes reproducible.  Closes: #793705
          Thanks to Maria Valentina Marin <marivalenm@gmail.com>

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Aug 2015 07:57:49 +0900

mime-support (3.58) unstable; urgency=high

  * CVE-2014-7209: run-mailcap shell command injection.
    Thanks to Timothy D. Morgan for the report.

  d156797 Escape file name also when not passed through %s.  This
          avoids command injections using for instance semicolons.
  b585022 Resolve file name to an absolute path to avoid injection of
          command arguments with file names starting with dashes etc.
          Use File::Spec to avoid race conditions with temporary files.
          Thanks, Salvatore Bonaccorso for the patch.

 -- Charles Plessy <plessy@debian.org>  Sun, 28 Dec 2014 14:45:59 +0900

mime-support (3.57) unstable; urgency=medium

  * Media types added:
  ef09adf application/x-xz                              Closes: #756754

  * Changed associations of file suffixes with media types:
  94703d4 a/vnd.debian.binary-package: added ddeb,      closes: #759746

  * Other:
  b412727 Document support for desktop entries.
          Thanks to Andreas Metzler <ametzler@bebt.de>, closes: #749771
  ce09266 Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Sat, 04 Oct 2014 20:28:54 +0900

mime-support (3.56) unstable; urgency=medium

  * Media types added:
  e47e5a6 application/vnd.debian.binary-package

  * Mailcap:
  e47e5a6 Replaced a/x-debian-package with a/vnd.debian.binary-package.

 -- Charles Plessy <plessy@debian.org>  Sun, 25 May 2014 09:36:07 +0900

mime-support (3.55) unstable; urgency=low

  * Media types removed:

  92def2a application/x-font-woff       Closes: #727156
  c1797d2 application/x-md5             Closes: #720619
  fad5967 application/x-sha1            Closes: #720619
  a71f2b0 text/x-vcard                  Closes: #674670

  * Media types added:

  0d95409 application/font-sfnt
  0d95409 application/font-tdpfr
  0f12ec4 application/font-woff
  020388a application/gzip              Closes: #589991, 688872
  77eee72 application/oebps-package+xml    See: #712054
  ae8262a application/x-font-pcf        Closes: #727171
  020388a application/zlib              Closes: #589991, 688872
  a71f2b0 text/vcard                    Closes: #674670

  * Changed associations of file suffixes with media types:

  ae8262a application/x-font: removed pcf extensions.
  46df3ed application/vnd.visio: added vst vsw vss
  1a69660 application/x-ns-proxy-autoconfig: removed dat, Closes: #418564

  * Packaging:

  b016fe8 Remove “see” alternative for “view”.
          Thanks to Kevin Ryde <user42@zip.com.au>, Closes: #623384, #458691
  c5b794b Removed obsolete removal of /usr/doc/mime-support.

  * update-mime:

  5448676 Accept file names with alphanumeric characters from the current
          locale.  Thanks to Tomás <tomas@tuxteam.de>, Closes: #682900
  2a2243e Handle the “%c” (caption) field code from Desktop entry files.
          Thanks to Philipp Matthias Hahn <pmhahn@debian.org>, Closes: #745153
  c0e8e69 Handle the “%i” (icon) field code from Desktop entry files.
  5cf809c Stop quoting “%s” when building /etc/mailcap from the files in
          /usr/lib/mime/packages.
          Thanks to Peter Chubb <peter.chubb@nicta.com.au>, Closes: #747050
  f18b89f Warn when mailcap.order refers to packages that do not provide
          mailcap files.  Closes: #314952
  7b1947f Reject lines that do not start with a media type.  Closes: #384161
          This drops support for continuation lines in /usr/lib/mime/packages/.

  * run-mailcap:

  3c3b56c Redirect stdin to the tty when a mailcap entry says needsterminal.
          Thanks Kevin Ryde <user42@zip.com.au>, Closes: #727173
  80a1bc7 Remove unreliable permission check. Closes: #691247 thanks to
          Martin Mares <mj@ucw.cz> and Kevin Ryde <user42@zip.com.au>.
  e833a8a Stricter pattern for detection of manual pages.
          Thanks to Philipp Janda, LP: #1300484
  40f72a7 Force the use of a temporary alias for files containing a space in
          their name. Closes: #723708 thanks to Kevin Ryde <user42@zip.com.au>.
  642d6a9 Remind of RFC 1524 in the “SEE ALSO” section of mailcap(5) man page.
          Closes: #634254
  dd293ec Run the “file“ command when extension does not tell the media type.
          Thanks to Reuben Thomas <rrt@sc3d.org>, Closes: #77985
  56dba74 Remove last-resort guesses of crontabs and man pages.

 -- Charles Plessy <plessy@debian.org>  Wed, 07 May 2014 07:03:23 +0900

mime-support (3.54) unstable; urgency=low

  * Media types:
  2db1fa2 Added text/vnd.debian.copyright
  a21f31e mime.types: removed duplicated lines.
  4d7a093 Correct application/smil to application/smil+xml. (LP: #717459)
  be78d19 Added application/xslt+xml. (LP: #667595)

  * Packaging
  571044e Remove the RFC files, as they only contain a link to the Web.
  79583f3 Do not make activating packages wait for pending triggers.

 -- Charles Plessy <plessy@debian.org>  Sat, 11 May 2013 22:13:30 +0900

mime-support (3.53) unstable; urgency=low

  * Media types:
  a100b97 Add the .opus file suffix to the audio/ogg media type.
          Closes: #688383, LP: #1093948
  8da67da Add text/turtle media type. for .ttl files (Closes: #664824).
  1d86b38 Add image/jp2 media type for .jp2 and .jpg2 files (Closes: #682856).
  98c6ac3 Removed the note on compression schemes (see RFC 6713).
  c7e6eb1 Display reportbug message suggesting to register types to the IANA.

  * Packaging:
  6a08271 Instruct to report a bug instead of emailing maintainers.
  51dd6c7 Mark Multi-Arch: foreign. (Closes: #695357)
  801bd8b Parse Desktop entries to generate mailcap entries.
          Patch from Brian M. Carlson. (Closes: #497779)
  a6e8a0f Trigger update-mime for Desktop entry files added in
          /usr/share/applications.
  0fb8225 Mention Dpkg triggers in the manual page of update-mime.
          (Closes: #594915)
  8b6c149 Delete debhelper log file.
  734c10e Normalised VCS URLs following Lintian's standard.
  d649fdc Provide build-arch and build-indep targets (that do nothing).
  158d5df Normalised debian/control with config-model.
  67b016c Renamed debian/README debian/copyright.
  26254f8 Machine-readable Debian copyright file.
  060229d Disambiguate hyphens in manual pages.
  a455a4d Corected spelling error in a manual page.
  9279645 Silent binary-arch target (that does nothing anyway).
  105047b Removed conglicts on a2ps and metamail, older than oldstable.
  687feeb Unversionned recommendation on file, satisfied even in oldstable.
  762a035 Drop dependency on debhelper by pasting code from dh_md5sums.
  f318e0b Remove 'Debian' from the file name of the change log.
  5ddd68b Conforms to Policy version 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Sun, 05 May 2013 17:24:50 +0900

mime-support (3.52-2) unstable; urgency=low

  * Adopted by László Böszörményi and Charles Plessy. (Closes: #681640)
  * Manage the source package with Git in Alioth collab-maint's group.
    (Closes: #682745)

 -- Charles Plessy <plessy@debian.org>  Sat, 25 Aug 2012 09:31:43 +0900

mime-support (3.52-1) unstable; urgency=low

  * removed application/x-httpd-* types (closes: 589384)
  * added numerous new mime.types (closes: 652560, 624697, 627997, 619475, 639822)
  * fixed some bad mime.types (closes: 605250, 620372, 613810)
  * added dpkg trigger support (closes: 594915)
  * obsolete bugs (closes: 560118, 605254, 639580, 646462, 658073)

 -- Brian White <bcwhite@pobox.com>  Sun, 12 Feb 2012 21:06:40 +0100


mime-support (3.51-1) unstable; urgency=medium

  * added numerous new mime.types (closes: 585040, 563067, 578392, 599216)
  * can generate local user .mailcap file (closes: 569738, 445267)
  * pass --debug to sub-instances (closes: 533721)
  * a little more documentation (closes: 402778)

 -- Brian White <bcwhite@pobox.com>  Fri, 12 Nov 2010 20:52:43 +0100

Old Changelog:

mime-support (3.49-1) UNRELEASED; urgency=medium

  * added numerous new mime.types (closes: 585040, 563067, 578392)
  * can generate local user .mailcap file (closes: 569738, 445267)
  * pass --debug to sub-instances (closes: 533721)
  * a little more documentation (closes: 402778)

 -- Brian White <bcwhite@pobox.com>  (not uploaded due to key issues)


mime-support (3.48-1) unstable; urgency=medium

  * use only "copiousoutput" rules for "cat" action (closes: 533723)

 -- Brian White <bcwhite@pobox.com>  Tue, 08 Dec 2009 19:15:04 +0100


mime-support (3.47-1) unstable; urgency=medium

  * added new mime.types (closes: 550053, 545837, 540239)
  * ignore interactive rules for "cat" action (closes: 533723)
  * do perl tests before external ones (closes: 533722)
  * remove playaudio/playdsp (closes: 545478)

 -- Brian White <bcwhite@pobox.com>  Tue, 05 Dec 2009 20:13:45 +0100


mime-support (3.46-1) unstable; urgency=medium

  * added new mime.types
  * added option "norun" to display final command without executing it (closes: 202586)

 -- Brian White <bcwhite@pobox.com>  Thu, 18 Jun 2009 22:54:51 +0200


mime-support (3.45-1) unstable; urgency=medium

  * added new mime.types (closes: 508381, 502977, 202586, 531225, 507665)
  * added action "cat" that is like "view" but ignores "copiousoutput" (closes: 526690)
  * added option "norun" to display final command without executing it
  * file-type can now be determined by file/magic (closes: 77985)
  * fixed forkbomb bug (closes: 522001)

 -- Brian White <bcwhite@pobox.com>  Thu, 18 Jun 2009 22:04:29 +0200


mime-support (3.44-1) unstable; urgency=medium

  * added new mime.types (closes: 485863, 485929, 472262)
  * make default type "application/octet-stream" (closes: 445698)
  * added build-depends on debhelper (closes: 484860)

 -- Brian White <bcwhite@pobox.com>  Wed, 18 Jun 2008 15:44:03 +0200


mime-support (3.43-1) unstable; urgency=medium

  * Change "view" alternative priority to be very low so any vi install will take precedence (closes: 458691)
  * Generate md5sums file (closes: 484482)

 -- Brian White <bcwhite@pobox.com>  Thu, 05 Jun 2008 14:43:44 +0200


mime-support (3.42-1) unstable; urgency=medium

  * removed ~ files that got included by mistake

 -- Brian White <bcwhite@pobox.com>  Wed, 28 May 2008 16:30:52 +0200


mime-support (3.41-1) unstable; urgency=medium

  * added new mime.types (closes: 428899, 461520)
  * fixed handling of files with colons in their path (closes: 480215)
  * fixed problem where missing but expected env var would become a single quote-mark (closes: 467450)
  * fixed processing of "--opt=val" (closes: 476406)
  * remove RFCs from source package because of idiodic restrictions (closes: 480374)
  * no info (closes: 448023)

 -- Brian White <bcwhite@pobox.com>  Mon, 26 May 2008 15:33:59 +0200


mime-support (3.40-1) unstable; urgency=medium

  * added new mime.types (closes: 432273, 418564, 425014, 421678, 402559, 437724)
  * fixed conf-file variable name (closes: 438859)
  * don't suggest using as pager/editor (closes: 445700)
  * fixed synopsis in man-page (closes: 413165)
  * fixed mistake converting to lower-case (closes: 445262)
  * make "see" an alternative to "view" (closes: 457898)
  * allow --debug (instead of "--debug=1")

 -- Brian White <bcwhite@pobox.com>  Tue, 1 Jan 2008 17:35:48 +0100


mime-support (3.39-1) unstable; urgency=medium

  * added new mime.types

 -- Brian White <bcwhite@pobox.com>  Mon,  4 Dec 2006 22:22:38 -0500


mime-support (3.38-1) unstable; urgency=medium

  * changed RTF type to "application/rtf" (closes: #387262)
  * added new mime.types (closes: #379838, #379504, #389168, #391928)
  * added protection against writing bad mailcap file (closes: #400659)

 -- Brian White <bcwhite@pobox.com>  Mon,  4 Dec 2006 15:45:37 -0500


mime-support (3.37-1) unstable; urgency=medium

  * added new mime.types (closes: #364831, #370344, #360038)
  * clarified "view=" option (closes: #372149)
  * allow multiple package directory (closes: #355894)

 -- Brian White <bcwhite@pobox.com>  Sun, 16 Jul 2006 21:25:43 -0400


mime-support (3.36-1) unstable; urgency=medium

  * added .eml, 3gp, and 7z mime types
  * now returns non-zero exit code if can't handle file (closes: #313640)
  * added new mime.types (closes: #316200, #329208)

 -- Brian White <bcwhite@pobox.com>  Thu,  2 Mar 2006 20:09:20 -0500


mime-support (3.35-1) unstable; urgency=high

  * added .htc type so apache will serve to WinXP-sp2

 -- Brian White <bcwhite@pobox.com>  Mon, 15 Aug 2005 22:11:35 -0400


mime-support (3.34-1) unstable; urgency=high

  * added more mime types

 -- Brian White <bcwhite@pobox.com>  Sat, 14 May 2005 09:07:29 -0400


mime-support (3.33-1) unstable; urgency=high

  * added more mime types (closes: #307839)

 -- Brian White <bcwhite@pobox.com>  Thu,  5 May 2005 20:55:38 -0400


mime-support (3.32-1) unstable; urgency=high

  * fixed umask setting (closes: #302381)
  * updated .jar mime-type (closes: #297311)
  * fixed man-page typos (closes: #299493)

 -- Brian White <bcwhite@pobox.com>  Thu,  5 May 2005 10:42:00 -0400


mime-support (3.31-1) unstable; urgency=medium

  * fixed mistakenly-enabled debug output (closes: #296501)

 -- Brian White <bcwhite@pobox.com>  Tue, 22 Feb 2005 19:06:47 -0500


mime-support (3.30-1) unstable; urgency=medium

  * added more mime types
  * minor updates to man pages

 -- Brian White <bcwhite@pobox.com>  Tue, 22 Feb 2005 00:48:40 -0500


mime-support (3.29-1) unstable; urgency=medium

  * added more mime types (closes: #284830)
  * made common extensions first (closes: #264536)
  * removed duplicate application/x-sh (closes: #281083)

 -- Brian White <bcwhite@pobox.com>  Tue,  4 Jan 2005 09:30:14 -0500


mime-support (3.28-1) unstable; urgency=medium

  * added more mime types (closes: #259706)

 -- Brian White <bcwhite@pobox.com>  Fri, 16 Jul 2004 08:28:42 -0400


mime-support (3.27-1) unstable; urgency=medium

  * added more mime types (closes: #241908, #250692, #258236)
  * made "sudo" the default for debian-view (closes: #248357)
  * added examples to run-mailcap man page (closes: #249062)

 -- Brian White <bcwhite@pobox.com>  Wed, 14 Jul 2004 20:48:53 -0400


mime-support (3.26-1) unstable; urgency=medium

  * added more mime types (closes: #235663, #235222)

 -- Brian White <bcwhite@pobox.com>  Wed,  3 Mar 2004 07:47:41 -0500


mime-support (3.25-1) unstable; urgency=medium

  * added more mime types (closes: #230186)
  * changed .pl files to "text/x-perl" (closes: #229148)
  * removed comment about "#pplication/x-tex" (closes: #229244)

 -- Brian White <bcwhite@pobox.com>  Mon, 16 Feb 2004 20:47:03 -0500


mime-support (3.24-1) unstable; urgency=high

  * removed RFCs -- stupid DFSG "non-free" argument (closes: #199818)
  * added more mime types (closes: #215440, #201481, #204942)
  * improvements to debian-view (closes: #183192)
  * write new mailcap to different file then move over old (closes: #207875)
  * fixed listed mailcap.order manpage section (closes: #189663)
  * removed duplicate "rpm" extension (closes: #197536)
  * changed .bmp files to "image/x-ms-bmp" (closes: #226741)

 -- Brian White <bcwhite@pobox.com>  Sat, 17 Jan 2004 22:32:05 -0500


mime-support (3.23-1) unstable; urgency=high

  * added more mime types (closes: #190782, #190783)
  * fixed /tmp race creating symlink over unlinked tmpfile (not practical to exploit)

 -- Brian White <bcwhite@pobox.com>  Fri, 25 Apr 2003 22:51:06 -0400


mime-support (3.22-1) unstable; urgency=high

  * added new mime types
  * allow reading files not in current directory without creating temp file (closes: #187773)
  * fixed last of the /tmp races (I hope) (closes: #187637)

 -- Brian White <bcwhite@pobox.com>  Tue, 15 Apr 2003 20:24:09 -0400


mime-support (3.21-1) unstable; urgency=medium

  * added new mime types (closes: #180650, #168828, #170734, #172198)
  * return error code if couldn't find program to run (closes: #173639)
  * fixed problem passing spaced filenames to xterm (closes: 173640)
  * fixed mention of "install-mime" to "update-mime" (closes: #178547)

 -- Brian White <bcwhite@pobox.com>  Sun, 23 Feb 2003 12:39:36 -0500


mime-support (3.20-1) unstable; urgency=medium

  * fixed problem skipping mime.types comment lines (closes: #159896)
  * added ability to save files from debian-view (closes: #150713)
  * fixed problem skipping backup files from mimedir (closes: #153637)
  * added numerous new mime types

 -- Brian White <bcwhite@pobox.com>  Mon,  4 Nov 2002 23:07:16 -0500


mime-support (3.19-1) unstable; urgency=medium

  * changed un-quoting of mailcap rules to be more consistent with other RFC interpretations (closes: #142506)
  * added a new mime-type for "vnd.cinderella"

 -- Brian White <bcwhite@pobox.com>  Sat,  4 May 2002 08:47:30 -0400


mime-support (3.18-1) unstable; urgency=high

  * yet more new mime types

 -- Brian White <bcwhite@pobox.com>  Tue,  9 Apr 2002 23:28:49 -0400


mime-support (3.17-1) unstable; urgency=high

  * fixed bug in run-mailcap v3.16-1 (closes: #141638)

 -- Brian White <bcwhite@pobox.com>  Sun,  7 Apr 2002 13:18:42 -0400


mime-support (3.16-1) unstable; urgency=high

  * added new mime types (closes: #139333, #140539)
  * brought in "mailcap" man page and fixed type (closes: #139989)

 -- Brian White <bcwhite@pobox.com>  Fri,  5 Apr 2002 20:44:20 -0500


mime-support (3.15-1) unstable; urgency=high

  * fixed problem with saving stdin (closes: #137024)
  * merged in many new types from Apache source

 -- Brian White <bcwhite@pobox.com>  Tue, 12 Mar 2002 20:18:19 -0500


mime-support (3.14-1) unstable; urgency=high

  * added new mime types (closes: #124223, #128017, #129553, #130523)
  * added more descriptive error message when no rules pass their tests

 -- Brian White <bcwhite@pobox.com>  Thu, 31 Jan 2002 23:07:38 -0500


mime-support (3.13-3) unstable; urgency=high

  * changed urgency to get it in to testing before the base freeze

 -- Brian White <bcwhite@pobox.com>  Sat,  1 Dec 2001 11:30:13 -0500


mime-support (3.13-2) unstable; urgency=low

  * removed debug flag from "update-mime" (oops)

 -- Brian White <bcwhite@pobox.com>  Fri, 30 Nov 2001 08:11:43 -0500


mime-support (3.13-1) unstable; urgency=low

  * added new mime.type entries (closes: #111986, #118680, #116672)
  * fixed /tmp race coditions and other problems (closes: #94869)
  * /etc/mailcap is no longer a conffile (closes: #34294, #115401, #110594)
  * fixed ordering within a priority when wildcards are used

 -- Brian White <bcwhite@pobox.com>  Fri, 30 Nov 2001 00:39:16 -0500


mime-support (3.12-1) unstable; urgency=low

  * added new mime.type entries (closes: 100132, 101386, 101465)
  * run update-mime during postinst (closes: 107540)
  * added new mime.type entries (closes: 85028, 85395, 99117, 101386)
  * remove obsolete /var/lib directory (closes: 95563)

 -- Brian White <bcwhite@pobox.com>  Thu,  9 Aug 2001 23:04:02 -0400


mime-support (3.11-1) unstable; urgency=low

  * support escaped percent signs
  * added new mime.type entries (closes: 85395, 99117)

 -- Brian White <bcwhite@pobox.com>  Sun, 22 Apr 2001 11:43:03 -0400


mime-support (3.10-1) unstable; urgency=low

  * added "wml" mime types (closes: 69163)
  * updated to new rfc-2046 (closes: 79431)
  * use "x-terminal-emulator" instead of "xterm" (closes: 79788)
  * set "text/css" for ".css" extensions (closes: 80281)
  * changed excel and powerpoint entries (closes: 52379)
  * no longer use old install-mime (closes: 69494)
  * minor documentation fix (closes: 75928)
  * support escaped semi-colons (closes: 76583)
  * added numerous new mime.type entries

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 22:42:21 -0500


mime-support (3.9-1) unstable; urgency=low

  * made temp file names unique (Bug#50576)
  * fixed problem with decoded file not being removed

 -- Brian White <bcwhite@pobox.com>  Thu, 18 Nov 1999 21:35:56 -0500


mime-support (3.8-1) unstable; urgency=low

  * quote filenames during encode/decode to handle shell metacharacters (Bug#42022)
  * add 'text/mathml' mime.type (Bug#47699)

 -- Brian White <bcwhite@pobox.com>  Fri, 29 Oct 1999 07:23:53 -0400


mime-support (3.7-1) unstable; urgency=low

  * fixed problem with run-mailcap extracting tests from mailcap (Bug#39877)
  * added support for bzip/bzip2 (Bug#42022)

 -- Brian White <bcwhite@pobox.com>  Fri, 27 Aug 1999 14:27:44 -0400


mime-support (3.6-1) unstable; urgency=low

  * remove dependancy on perl; perl-base is sufficient (Bug#41510)
  * fixed documentation (Bug#30822)
  * made /var/lib/mime/mime-support-compat a conffile (Bug#41148)
  * fixed some lintian errors (Bug#41618)
  * removed work files from tarball (Bug#41623)
  * remove decompressed files when done (Bug#34696)
  * now read mime.types from /usr/share/etc and /usr/local/etc (Bug#34731)
  * remove all back-ticks from %{...} substitutions
  * re-enable "install-mime is obsolete" warning
  * send 'test' output to /dev/null
  * add new mime types

 -- Brian White <bcwhite@pobox.com>  Tue, 20 Jul 1999 20:43:28 -0400


mime-support (3.5-1) frozen unstable; urgency=low

  * fix ordering problem

 -- Brian White <bcwhite@pobox.com>  Mon, 30 Nov 1998 12:35:40 -0500


mime-support (3.4-1) frozen unstable; urgency=low

  * automatically fix mailcap lines to put '' around %s (#28604)
  * temporarily disabled "install-mime is obsolete" warning

 -- Brian White <bcwhite@pobox.com>  Thu, 12 Nov 1998 09:45:04 -0500


mime-support (3.3-1) unstable; urgency=low

  * added conflict for older a2ps with /usr/bin/compose (#25875 and friends)

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Oct 1998 13:23:16 -0400


mime-support (3.2-1) unstable; urgency=low

  * added filename pattern matching if ext match fails (#26810)
  * added new mime-type: text/x-crontab (#26810)
  * fixed wildcard matching (broke in 3.1)

 -- Brian White <bcwhite@pobox.com>  Fri, 18 Sep 1998 11:08:51 -0400


mime-support (3.1-1) unstable; urgency=low

  * added new mime types
  * fixed typo in update-mime man page (prerm -> postrm) (#26561)
  * removed x-gzip and x-compress types (they are encodings)
  * added gzip and compress encoding support to run-mailcap
  * added "copiousoutput" support to run-mailcap

 -- Brian White <bcwhite@pobox.com>  Mon, 14 Sep 1998 17:32:40 -0400


mime-support (3.0-1) unstable; urgency=low

  * complete redesign (#25516, #22377, #7860)
  * added new mime types (#24151, #25036)
  * moved run-mailcap man page (#25130)

 -- Brian White <bcwhite@pobox.com>  Sun, 16 Aug 1998 19:06:55 -0400


mime-support (2.17-1) frozen unstable; urgency=low

  * added new mime.types for .bz2, .hqx, & .sit

 -- Brian White <bcwhite@pobox.com>  Tue, 12 May 1998 19:06:38 -0400


mime-support (2.16-1) frozen unstable; urgency=high

  * changed name of "show" to "see" (Bug#19775 and friends)
  * fixed man page dangling symlink (Bug#19866)
  * fixed security of run-mailcap /tmp usage (Bug#19807)

 -- Brian White <bcwhite@pobox.com>  Mon, 30 Mar 1998 09:44:17 -0500


mime-support (2.15-1) unstable; urgency=high

  * improved run-mailcap and aliased it to "showfile"
  * fixed bug in "debian-view"

 -- Brian White <bcwhite@pobox.com>  Fri, 13 Mar 1998 20:53:16 -0500


mime-support (2.14-1) unstable; urgency=high

  * fixed bug when used with perl 5.004 (Bug#16222)

 -- Brian White <bcwhite@pobox.com>  Fri, 20 Feb 1998 11:47:29 -0500


mime-support (2.13-1) unstable; urgency=low

  * added 'run-mailcap' program for spawning programs based on mime-type
  * enforced rule that actions must not be backgrounded within mailcap
  * made 'debian-view' ask to become root when installing (Bug#9018)
  * added description to install order resolution (Bug#11929)
  * removed obsolete rfc files (Bug#15152)
  * Added binary-indep and binary-arch targets (Bug#13548)
  * Left copyright file uncompressed (Bug#14510)

 -- Brian White <bcwhite@pobox.com>  Sat, 7 Feb 1998 16:48:50 -0500


mime-support (2.12-1) frozen unstable; urgency=low

  * added more descriptive error for incorrectly formatted mailcap file
  * removed "test" hack added to help netscape (slowed lynx) (bug#7294)

 -- Brian White <bcwhite@pobox.com>  Wed, 2 Apr 1997 14:29:49 -0500


mime-support (2.11-1) unstable; urgency=low

  * added hack to work around Netscape's test bug (Bug#7030)

 -- Brian White <bcwhite@pobox.com>  Wed,  5 Feb 1997 16:00:48 -0500


mime-support (2.10-1) unstable; urgency=low

  * added new application/dsptype to mime.types
  * added new application/rtf to mime.types
  * added new application/png to mime.types (Bug#6611)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Dec 1996 21:42:10 -0500


mime-support (2.09-1) unstable; urgency=low

  * removed use of perl extensions so no postinst/prerm errors
  * added check to make sure /etc/mailcap is valid (Bug#5848)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Dec 1996 21:42:10 -0500


mime-support (2.08-2) frozen unstable; urgency=low

  * added dependancy on perl

 -- Brian White <bcwhite@pobox.com>  Tue, 3 Dec 1996 11:53:55 -0500


mime-support (2.08-1) frozen unstable; urgency=low

  * added "autoflush" setting for STDOUT

 -- Brian White <bcwhite@pobox.com>  Mon, 25 Nov 1996 14:38:14 -0500


mime-support (2.07-1) frozen unstable; urgency=low

  * added new application/x-pgp-signature to mime.types
  * added new scripts to handle audio/basic and application/x-debian-package

 -- Brian White <bcwhite@pobox.com>  Fri, 22 Nov 1996 13:35:55 -0500


mime-support (2.06-1) unstable; urgency=low

  * changed bad content-type error into a warning

 -- Brian White <bcwhite@pobox.com>  Wed, 16 Oct 1996 12:01:19 +0400


mime-support (2.05-1) unstable; urgency=high

  * fixed typo that caused install-mime not to work  (sheesh!)

 -- Brian White <bcwhite@pobox.com>  Fri, 11 Oct 1996 21:19:41 +0400


mime-support (2.04-1) unstable; urgency=low

  * added help page to conflict resolution screen
  * added checking to content-types
  * added text/x-vCard and text/x-vCalendar mime.types

 -- Brian White <bcwhite@pobox.com>  Mon,  7 Oct 1996 15:01:22 +0400


mime-support (2.03-1) unstable; urgency=low

  * added "application/x-httpd-php" type
  * added defaults to install-mime prompts

 -- Brian White <bcwhite@pobox.com>  Thu, 24 Sep 1996 12:01:22 +0400
